Xerces-C++: XMLLCPTranscoder Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# XMLLCPTranscoder Class Reference

Inheritance diagram for XMLLCPTranscoder:

List of all members.

## Public Member Functions
virtual | ~XMLLCPTranscoder ()
virtual char * | transcode (const XMLCh *const toTranscode, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)=0
virtual XMLCh * | transcode (const char *const toTranscode, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)=0
virtual XMLSize_t | calcRequiredSize (const char *const srcText, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)=0
virtual XMLSize_t | calcRequiredSize (const XMLCh *const srcText, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)=0
virtual bool | transcode (const char *const toTranscode, XMLCh *const toFill, const XMLSize_t maxChars, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)=0
virtual bool | transcode (const XMLCh *const toTranscode, char *const toFill, const XMLSize_t maxBytes, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)=0
## Protected Member Functions
| XMLLCPTranscoder ()

## Constructor & Destructor Documentation

virtual XMLLCPTranscoder::~XMLLCPTranscoder | ( |  | ) | `[virtual]`

XMLLCPTranscoder::XMLLCPTranscoder | ( |  | ) | `[protected]`

## Member Function Documentation

virtual char* XMLLCPTranscoder::transcode | ( | const XMLCh *const | toTranscode,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  | `[pure virtual]`

virtual XMLCh* XMLLCPTranscoder::transcode | ( | const char *const | toTranscode,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  | `[pure virtual]`

virtual XMLSize_t XMLLCPTranscoder::calcRequiredSize | ( | const char *const | srcText,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  | `[pure virtual]`

virtual XMLSize_t XMLLCPTranscoder::calcRequiredSize | ( | const XMLCh *const | srcText,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  | `[pure virtual]`

virtual bool XMLLCPTranscoder::transcode | ( | const char *const | toTranscode,
|  | XMLCh *const | toFill,
|  | const XMLSize_t | maxChars,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  | `[pure virtual]`

virtual bool XMLLCPTranscoder::transcode | ( | const XMLCh *const | toTranscode,
|  | char *const | toFill,
|  | const XMLSize_t | maxBytes,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  | `[pure virtual]`

The documentation for this class was generated from the following file:

- TransService.hpp